import { Logger as e } from "../../error-handling/logger.mjs";
import "../../error-handling/index.mjs";
//#region libs/shared/common/src/functions/utils/formatter.ts
var t = (t) => {
	try {
		return t == null || Number.isNaN(t) || !Number.isFinite(t) ? "0" : (Math.floor(t * 100) / 100).toLocaleString("en-us", {
			minimumFractionDigits: 2,
			maximumFractionDigits: 2
		});
	} catch (t) {
		return e.error("Error formatting USD number:", t), "0";
	}
};
//#endregion
export { t as formatUSDNumber };
